This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 680182 - [abrt] yum-utils-1.1.30-1.fc15: show-installed:281:writeWarnings:IOError: [Errno 5] Input/output error
[abrt] yum-utils-1.1.30-1.fc15: show-installed:281:writeWarnings:IOError: [Er...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
abrt_hash:25c8848b
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-24 10:22 EST by Rahul Sundaram
Modified: 2014-05-28 05:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-28 05:31:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (587 bytes, text/plain)
2011-02-24 10:23 EST, Rahul Sundaram
no flags Details

  None (edit)
Description Rahul Sundaram 2011-02-24 10:22:57 EST
abrt version: 1.1.17
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/show-installed
component: yum-utils
executable: /usr/bin/show-installed
kernel: 2.6.38-0.rc3.git0.1.fc15.x86_64
package: yum-utils-1.1.30-1.fc15
reason: show-installed:281:writeWarnings:IOError: [Errno 5] Input/output error
release: Fedora release 15 (Rawhide)
time: 1297207795
uid: 500

backtrace
-----
show-installed:281:writeWarnings:IOError: [Errno 5] Input/output error

Traceback (most recent call last):
  File "/usr/bin/show-installed", line 409, in <module>
    __main__()
  File "/usr/bin/show-installed", line 405, in __main__
    p.writeWarnings()
  File "/usr/bin/show-installed", line 281, in writeWarnings
    e.write("WARNING: The following packages are installed but not in the repository:\n")
IOError: [Errno 5] Input/output error

Local variables in innermost frame:
self: <__main__.ListPrinter instance at 0x9c802d8>
e: <open file '<stderr>', mode 'w' at 0x7f1fd738a270>

How to reproduce
-----
1.  not sure
2.
3.
Comment 1 Rahul Sundaram 2011-02-24 10:23:00 EST
Created attachment 480784 [details]
File: backtrace
Comment 2 seth vidal 2011-02-24 12:11:30 EST
how were you running the command? How do you get an IOError to stderr?

we're you piping the output in some way?
Comment 3 Fedora End Of Life 2013-04-03 13:34:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Valentina Mukhamedzhanova 2014-05-28 05:31:50 EDT
Closing as there is no reply.

Note You need to log in before you can comment on or make changes to this bug.